Bug 1279236 - "local variable 'e' referenced before assignment" when manually creating md RAID [NEEDINFO]
"local variable 'e' referenced before assignment" when manually creating md RAID
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-08 14:28 EST by Frantisek Hanzlik
Modified: 2016-12-20 10:32 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:32:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
japokorn: needinfo? (franta)


Attachments (Terms of Use)
tarball with logs, GUI screenshot etc. (74.38 KB, application/x-xz)
2015-11-08 14:28 EST, Frantisek Hanzlik
no flags Details
hawkey.log extracted from F23-manually-create-md-RAID-anaconda-error.txz (3.37 KB, text/plain)
2015-11-09 09:50 EST, David Shea
no flags Details
ifcfg.log extracted from F23-manually-create-md-RAID-anaconda-error.txz (6.40 KB, text/plain)
2015-11-09 09:50 EST, David Shea
no flags Details
dnf.rpm.log extracted from F23-manually-create-md-RAID-anaconda-error.txz (49 bytes, text/plain)
2015-11-09 09:50 EST, David Shea
no flags Details
packaging.log extracted from F23-manually-create-md-RAID-anaconda-error.txz (17.53 KB, text/plain)
2015-11-09 09:50 EST, David Shea
no flags Details
vncserver.log extracted from F23-manually-create-md-RAID-anaconda-error.txz (744 bytes, text/plain)
2015-11-09 09:50 EST, David Shea
no flags Details
dnf.librepo.log extracted from F23-manually-create-md-RAID-anaconda-error.txz (24.96 KB, text/plain)
2015-11-09 09:50 EST, David Shea
no flags Details
anaconda.log extracted from F23-manually-create-md-RAID-anaconda-error.txz (19.68 KB, text/plain)
2015-11-09 09:50 EST, David Shea
no flags Details
storage.log extracted from F23-manually-create-md-RAID-anaconda-error.txz (206.96 KB, text/plain)
2015-11-09 09:50 EST, David Shea
no flags Details
syslog extracted from F23-manually-create-md-RAID-anaconda-error.txz (85.86 KB, text/plain)
2015-11-09 09:50 EST, David Shea
no flags Details
program.log extracted from F23-manually-create-md-RAID-anaconda-error.txz (24.73 KB, text/plain)
2015-11-09 09:50 EST, David Shea
no flags Details
dnf.log extracted from F23-manually-create-md-RAID-anaconda-error.txz (10.20 KB, text/plain)
2015-11-09 09:50 EST, David Shea
no flags Details

  None (edit)
Description Frantisek Hanzlik 2015-11-08 14:28:00 EST
Created attachment 1091390 [details]
tarball with logs, GUI screenshot etc.

Description of problem:
F23/i386 kickstart install (without %include, because 1279008), to two WDC WD2000FYYZ 2TB disks. The disks were partitioned (but RAIDs was not created) sometime earlier before beginning installation, they had both same division:
# gdisk -l /dev/sda
GPT fdisk (gdisk) version 1.0.0

Partition table scan:
  MBR: protective
  BSD: not present
  APM: not present
  GPT: present

Found valid GPT with protective MBR; using GPT.
Disk /dev/sda: 3907029168 sectors, 1.8 TiB
Logical sector size: 512 bytes
Disk identifier (GUID): 271B0745-A60B-44EF-AA7C-CF1E911E7162
Partition table holds up to 128 entries
First usable sector is 34, last usable sector is 3907029134
Partitions will be aligned on 2048-sector boundaries
Total free space is 2014 sectors (1007.0 KiB)

Number  Start (sector)    End (sector)  Size       Code  Name
   1            2048            4095   1024.0 KiB  EF02  BIOS boot partition
   2            4096         1028095   500.0 MiB   FD00  Linux RAID
   3         1028096        17805311   8.0 GiB     8200  Linux swap
   4        17805312        84914175   32.0 GiB    FD00  Linux RAID
   5        84914176       152023039   32.0 GiB    FD00  Linux RAID
   6       152023040      1620029439   700.0 GiB   FD00  Linux RAID
   7      1620029440      1997516799   180.0 GiB   FD00  Linux RAID
   8      1997516800      3907029134   910.5 GiB   FD00  Linux RAID



Booting from Fedora-Workstation-netinst-i386-23.iso, then when anaconda GUI starts, selecting "INSTALLATION DESTINATION", then disks, "I will configure partitioning", Done. And on "MANUAL PARTITIONING" screen I want create md RAID disks. According to Fedora 23 IG chapter "5.4.10.2. Creating Software RAID",
click to "+", enter mount point (tried / and /boot, result is same) and confirm it. Then at the bottom of the screen shows a red bar with the message: "Failed to add new device. Click for details", and in middle appears window with error "Local variable 'e' referenced before assignment". It is not possible to create a software RAID disks.


Version-Release number of selected component (if applicable):
anaconda-23.19.10-1

How reproducible:
Always, with above described procedure. It does not matter whether at the newly specified point I specify the size of the new partition or not.

Additional info:
In attached tarball is anaconda GUI screenshot from error point, 'gdisk -l' outputs for both disks, 'journalctl -a' output and system/installer logs.
Comment 1 David Shea 2015-11-09 09:50:17 EST
Created attachment 1091768 [details]
hawkey.log extracted from F23-manually-create-md-RAID-anaconda-error.txz
Comment 2 David Shea 2015-11-09 09:50:19 EST
Created attachment 1091769 [details]
ifcfg.log extracted from F23-manually-create-md-RAID-anaconda-error.txz
Comment 3 David Shea 2015-11-09 09:50:22 EST
Created attachment 1091770 [details]
dnf.rpm.log extracted from F23-manually-create-md-RAID-anaconda-error.txz
Comment 4 David Shea 2015-11-09 09:50:25 EST
Created attachment 1091771 [details]
packaging.log extracted from F23-manually-create-md-RAID-anaconda-error.txz
Comment 5 David Shea 2015-11-09 09:50:27 EST
Created attachment 1091772 [details]
vncserver.log extracted from F23-manually-create-md-RAID-anaconda-error.txz
Comment 6 David Shea 2015-11-09 09:50:30 EST
Created attachment 1091773 [details]
dnf.librepo.log extracted from F23-manually-create-md-RAID-anaconda-error.txz
Comment 7 David Shea 2015-11-09 09:50:33 EST
Created attachment 1091774 [details]
anaconda.log extracted from F23-manually-create-md-RAID-anaconda-error.txz
Comment 8 David Shea 2015-11-09 09:50:36 EST
Created attachment 1091775 [details]
storage.log extracted from F23-manually-create-md-RAID-anaconda-error.txz
Comment 9 David Shea 2015-11-09 09:50:39 EST
Created attachment 1091776 [details]
syslog extracted from F23-manually-create-md-RAID-anaconda-error.txz
Comment 10 David Shea 2015-11-09 09:50:41 EST
Created attachment 1091777 [details]
program.log extracted from F23-manually-create-md-RAID-anaconda-error.txz
Comment 11 David Shea 2015-11-09 09:50:44 EST
Created attachment 1091778 [details]
dnf.log extracted from F23-manually-create-md-RAID-anaconda-error.txz
Comment 12 David Shea 2015-11-09 09:54:34 EST
The crash is somewhere in DeviceFactory._configure and in getting erroneously picked up by an except Exception clause.
Comment 13 Jan 2016-02-01 10:58:09 EST
Hi,

I was able to isolate and hopefully fix the bug but I could not reproduce it.
However I will need reporter's assistance with the verification of the fix.
Please try to run the same scenario using the update image located at

https://japokorn.fedorapeople.org/1279236/update_temp_fix1279236.img

so we can close this issue,
Thanks
Comment 14 Fedora End Of Life 2016-11-24 08:12:49 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 10:32:21 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.